For AI agents: the complete documentation index is at https://buddy.works/llms.txt
PATCH
- /workspaces
- /:workspace
- /groups
- /:group_id
- /members
- /:member_id
Updates the group member's status
REQUIRED SCOPESGROUP_WRITE
URL PARAMETERSworkspacerequiredstring
The human-readable ID of the workspacegroup_idrequiredinteger
The ID of the groupmember_idrequiredinteger
The ID of the member BODY PARAMETERSstatusstring enum
The status of the group memberAllowed enum: MEMBER,
MANAGER
RESPONSE BODYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the usernamestring
The name of the userusernamestring
The unique username of the useravatar_urlstring
The avatar URL of the useremailstring
The email address of the useradminboolean
Whether the user has admin privilegesworkspace_ownerboolean
Whether the user is workspace ownerstatusstring enum
The status of the group memberAllowed enum: MEMBER,
MANAGER
Last modified on Apr 22, 2026
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/groups/:group_id/members/:member_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"status": "MANAGER"
}'